path: /build/build/zfs-kmod-kernel-5.10-2.2.4.package.tar.zst
dependencies: []
compilespec:
  steps:
  - epro list && emerge -j ${JOBS} sys-fs/zfs-kmod -pv -t
  - |
    emerge -j ${JOBS} sys-fs/zfs-kmod
  - |
    eval 'rm -rf /zfs-kmod || true' && mkdir /zfs-kmod && \
    luet-portage --dir /zfs-kmod sys-fs/zfs-kmod
  - for i in $(find /zfs-kmod/lib/modules/5.10.217-macaroni/extra/ -name '*.ko') ;
    do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:65b0528ae230a53fb5a49c0248992161385d676b23a7eaf1a35bc35b6066e6ac
  package:
    name: zfs-kmod
    version: 2.2.4
    category: kernel-5.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    provides:
    - name: zfs-kmod
      version: 2.2.4
      category: sys-fs-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2024-05-25 19:34:36.60960794 +0000 UTC m=+351.344156796
    labels:
      emerge.packages: sys-fs/zfs-kmod
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.217
    treedir: /build/packages
  package_dir: /zfs-kmod
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/.*
  - ^/usr/src/.*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: db129f7bf4805be5f1d8077059c97ecaa8d44e2d78d2da37424643fa0b5a4f03
compressiontype: zstd
files:
- lib/modules/5.10.217-macaroni/extra/spl.ko.xz
- lib/modules/5.10.217-macaroni/extra/zfs.ko.xz
package_cacheimage: ""
runtime:
  name: zfs-kmod
  version: 2.2.4
  category: kernel-5.10
  requires:
  - name: zfs-common
    version: '>=0'
    category: kernel
  provides:
  - name: zfs-kmod
    version: 2.2.4
    category: sys-fs-5.10
  annotations:
    kernel_module: true
  labels:
    emerge.packages: sys-fs/zfs-kmod
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.217
